package com.deer.wms.produce.manage.service;

import com.deer.wms.intercept.common.data.CurrentUser;
import com.deer.wms.produce.manage.model.*;
import com.deer.wms.project.seed.core.service.Service;

import java.util.List;

/**
 * Created by hy on 2019/07/19.
 */
public interface ProductProcessService extends Service<ProductProcess, Integer> {
    List<ProductProcessVo> findList(ProductProcessParams params);

    void save(ProductProcess productProcess, CurrentUser currentUser);

    void saveProdAndProc(ProductAndProcess productAndProcess, CurrentUser currentUser);

    ProductProcessHo queryProductProcessDetail(ProductProcessParams params);

    ProductProcessHo initialProdProcByProdProcBom(ProductProcessBomParams params);

    void addProduceProcess(ProductProcessHo productProcessHo, CurrentUser currentUser);

    ProductProcessVo findProductProcessById(ProductProcessParams productProcessParams);

    //ProcessAndDet stepAndNumByProdprocid(ProductProcessParams params);


    //void deleteRelevantById(Integer produceProcessId, CurrentUser currentUser);
}
